package com.sourcefellows.intro;

// Klassenbeschreibung
public class Auto {
    //Eigenschaft gekapselt.
    //Eigenschaft nicht außerhalb der Klasse referenzierbar.
    private int geschwindigkeit;
    //Abstraktion von Verhalten.
    public void beschleunigen(int wert) {
        geschwindigkeit += wert;
        System.out.println("Bschleunigt auf " + geschwindigkeit + " km/h.");
    }
    public String getGeschwindigkeit() {
        return String.format("%d km/h", geschwindigkeit);
    }

    public static void main(String[] args) {
        //Objekterstellung
        Auto auto = new Auto();
        auto.beschleunigen(10);
        System.out.println(auto.getGeschwindigkeit());
    }

}
